Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class DefaultPortalCategory

    java.lang.Object
      |
      +--com.beasys.portal.ejb.DefaultPortalCategory

public class DefaultPortalCategory
extends java.lang.Object
implements PortalCategory, java.io.Serializable

Default implementation of the PortalCategory interface.

See Also:
  Serialized Form

Constructor Summary
`DefaultPortalCategory()` Default Constructor.
`DefaultPortalCategory(java.lang.String aPortalName, java.lang.String aCategoryName, java.lang.String anIconURL, int anOrder)` Create a PortalCategory.

Method Summary
`java.lang.String` | `getIconURL()` Get the icon URL.
`java.lang.String` | `getName()` Get the category name.
`int` | `getOrder()` Get order.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setIconURL(java.lang.String aURL)` Set icon URL.
`void` | `setName(java.lang.String aCategoryName)` Set the category name.
`void` | `setOrder(int anOrder)` Set order.
`void` | `setPortalName(java.lang.String aPortalName)` Set portal name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPortalCategory

    public DefaultPortalCategory()

  Default Constructor.

### DefaultPortalCategory

    public DefaultPortalCategory(java.lang.String aPortalName,
                                 java.lang.String aCategoryName,
                                 java.lang.String anIconURL,
                                 int anOrder)

  Create a PortalCategory.
  Parameters:
    `aPortalName` - the portal name.
    `aCategoryName` - the category name.
    `anIconURL` - the icon for the category.
    `anOrder` - the order of the page.

Method Detail

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Specified by:
    getPortalName in interface PortalCategory
  Returns:
    `String` the portal name.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Set portal name.
  Specified by:
    setPortalName in interface PortalCategory
  Parameters:
    `aPortalName` - the portal name.

### getName

    public java.lang.String getName()

  Get the category name.
  Specified by:
    getName in interface PortalCategory
  Returns:
    `String` the category name.

### setName

    public void setName(java.lang.String aCategoryName)

  Set the category name.
  Specified by:
    setName in interface PortalCategory
  Parameters:
    `aCategoryName` - the category name.

### getIconURL

    public java.lang.String getIconURL()

  Get the icon URL.
  Specified by:
    getIconURL in interface PortalCategory
  Returns:
    `String` the icon url.

### setIconURL

    public void setIconURL(java.lang.String aURL)

  Set icon URL.
  Specified by:
    setIconURL in interface PortalCategory
  Parameters:
    `aURL` - the icon url.

### getOrder

    public int getOrder()

  Get order.
  Specified by:
    getOrder in interface PortalCategory
  Returns:
    `int` the order.

### setOrder

    public void setOrder(int anOrder)

  Set order.
  Specified by:
    setOrder in interface PortalCategory
  Parameters:
    `anOrder` - the order.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved